# Changelog

All notable changes to this project will be documented in this file.

## [1.7.2] - 2025-01-23

### 🐛 Bug Fixes

- Corrected typo and improved formating of energy certificate info

### ⚙️ Miscellaneous Tasks

- Bump version to 1.7.2 and update changelog

## [1.7.1] - 2025-01-21

### ⚙️ Miscellaneous Tasks

- Remove test step when only pushing existing image
- Bump version to 1.7.1 and updated changelog

## [1.7.0] - 2025-01-21

### 🚀 Features

- New energy certificate endpoint

### 🐛 Bug Fixes

- Reference to incorrect variable in autoconsumption
- Remove duplicated field in energy-certificate

### ⚙️ Miscellaneous Tasks

- Bump version to 1.7.0 and update changelog

## [1.6.0] - 2024-12-09

### 🚀 Features

- Added processing for tutor fields in gift update

### 🐛 Bug Fixes

- Corrected typos in gift message templates
- Remande 'steet' to 'street' in gifts model

### 🚜 Refactor

- Split gift endpoint in smaller methods

### ⚙️ Miscellaneous Tasks

- Bump version to 1.6.0 and update changelog

## [1.5.1] - 2024-10-29

### 🐛 Bug Fixes

- Added check to avoid vat duplication in investment

### ⚙️ Miscellaneous Tasks

- Bump version to 1.5.1 and updated changelog

## [1.5.0] - 2024-10-28

### 🚀 Features

- Added new endpoint to generate redsys payment link

### 🐛 Bug Fixes

- Added missing footer to email templates
- Made the url for area-personal dynamic

### 🧪 Testing

- Added test to payment endpoint
- Updated results of payment test

### ⚙️ Miscellaneous Tasks

- Updated changelog
- Updated template config to include redsys vars
- Updated version to 1.5.0 and changelog

## [1.4.3] - 2024-10-16

### 🐛 Bug Fixes

- Added missing import in contacts.py

### ⚙️ Miscellaneous Tasks

- Bumped version to 1.4.3 and updated changelog

## [1.4.2] - 2024-10-14

### 🐛 Bug Fixes

- Added missing processing of stringified vars in otc assistance

### ⚙️ Miscellaneous Tasks

- Bump version to 1.4.2 and update changelog

## [1.4.1] - 2024-10-11

### 🐛 Bug Fixes

- Made 'about_us' optional in all endpoints
- Required fields in aerothermal endpoint tests

### ⚙️ Miscellaneous Tasks

- Bump version to 1.4.1 and updated changelog

## [1.4.0] - 2024-10-11

### 🚀 Features

- Added new endpoint to process otc assistance requests

### 🚜 Refactor

- Updated type definitions to remove deprecated keywords

### ⚙️ Miscellaneous Tasks

- Bump version to 1.4.0 and update version number

## [1.3.0] - 2024-10-09

### 🚀 Features

- Added processing of stringified variables for contactV2

### ⚙️ Miscellaneous Tasks

- Bump version to 1.3.0 and update changelog

## [1.2.1] - 2024-09-24

### 🐛 Bug Fixes

- Changed 'categories' to 'tags' in aerothermal_info model

### ⚙️ Miscellaneous Tasks

- Bumped version number to 1.2.1 and updated changelog

## [1.2.0] - 2024-09-24

### 🚀 Features

- Added endpoint to process aerothermal info request

### ⚙️ Miscellaneous Tasks

- Bumped version number to 1.2.0 and updated changelog

## [1.1.14] - 2024-04-23

### 🐛 Bug Fixes

- Updated metrics endpoint to use new odoo endpoint

## [1.1.13] - 2024-04-17

### 🐛 Bug Fixes

- Incorrecta variable name in aquisitions model

## [1.1.12] - 2024-04-17

### 🚀 Features

- Added new endpoint to process new web form

### 🐛 Bug Fixes

- Removed unnecessary fields from contactsV2 Model
- Added mising 'Optional' in street2 field

## [1.1.11] - 2023-12-13

### 🚀 Features

- Build gift message notes in gateway

<!-- generated by git-cliff -->
